module Scrivito
  class LegacyRedirectController < ActionController::Metal
    include ActionController::Redirecting
    include Rails.application.routes.url_helpers

    def index
      route = Route.find(self, :slug_id)
      redirect_to route.generate_path(params.slice(:id, :slug).symbolize_keys)
    end
  end
end
