module Scrivito
module Backend

module ParentPathIndex
  extend Backend::BaseIndex

  def self.id
    "ppath"
  end

  def self.query(keys)
    [{ field: "_parent_path", operator: :equals, value: keys }]
  end

  def self.extract_update_value_from_data(data)
    ParentPath.of(data["_path"])
  end

end

end
end
