module Scrivito
module Backend

module PermalinkIndex
  extend Backend::BaseIndex

  def self.id
    "permalink"
  end

  def self.query(keys)
    [{ field: '_permalink', operator: :equals, value: keys }]
  end

  def self.extract_update_value_from_data(data)
    data["_permalink"]
  end

end

end
end
