module Scrivito

class ObjDataFromHash < ObjData
  def initialize(attributes)
    @attributes = attributes.stringify_keys
  end

  def raw_value_and_type_of(attribute_name)
    if attribute_data = @attributes[attribute_name]
      if attribute_name.starts_with?('_')
        [attribute_data, nil]
      else
        attribute_data.reverse
      end
    else
      [nil, nil]
    end
  end

  def attribute_names
    @attributes.keys
  end

  def to_h
    @attributes
  end
end

end
