# The class +Obj+ should be overridden by the application (see example).
# The SDK provides methods for {Obj} through it's abstract base class, {Scrivito::BasicObj}.
# The Scrivito SDK provides this empty implementation for {Obj}
# which will only be used in case the app does not define the class {Obj} itself.
# @example
#   # in app/models/obj.rb
#   class Obj < Scrivito::BasicObj
#     # put your custom extensions that apply to every Obj here
#   end
#
#   # in app/models/page.rb
#   class Page < Obj
#     # put custom extensions that only apply to Objs with class Page here
#   end
# @api public
class Obj < Scrivito::BasicObj
end
